summaryrefslogtreecommitdiff
path: root/qa/962
diff options
context:
space:
mode:
Diffstat (limited to 'qa/962')
-rwxr-xr-xqa/96230
1 files changed, 30 insertions, 0 deletions
diff --git a/qa/962 b/qa/962
new file mode 100755
index 0000000..078cf32
--- /dev/null
+++ b/qa/962
@@ -0,0 +1,30 @@
+#!/bin/sh
+# PCP QA Test No. 962
+# Check interp mode in the presence of <mark> records for different
+# sample intervals.
+#
+# Copyright (c) 2014 Ken McDonell. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+status=1 # failure is the default!
+$sudo rm -rf $tmp.* $seq.full
+trap "cd $here; rm -rf $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+for delta in 1min 15min 1hr 4hr 12hr
+do
+ pmval -a src/count-mark -z -A $delta -t $delta kernel.all.pswitch
+done
+
+# success, all done
+status=0
+
+exit